<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RoomList StructType
 * @subpackage Structs
 */
class RoomList extends AbstractStructBase
{
    /**
     * The RoomListRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RoomListRQ
     */
    public $RoomListRQ;
    /**
     * Constructor method for RoomList
     * @uses RoomList::setRoomListRQ()
     * @param \StructType\JP_RoomListRQ $roomListRQ
     */
    public function __construct(\StructType\JP_RoomListRQ $roomListRQ = null)
    {
        $this
            ->setRoomListRQ($roomListRQ);
    }
    /**
     * Get RoomListRQ value
     * @return \StructType\JP_RoomListRQ|null
     */
    public function getRoomListRQ()
    {
        return $this->RoomListRQ;
    }
    /**
     * Set RoomListRQ value
     * @param \StructType\JP_RoomListRQ $roomListRQ
     * @return \StructType\RoomList
     */
    public function setRoomListRQ(\StructType\JP_RoomListRQ $roomListRQ = null)
    {
        $this->RoomListRQ = $roomListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RoomList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
